%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           urlwatch
Version:        1.9
Release:        1%{?dist}
Summary:        A tool for monitoring webpages for updates

Group:          Applications/Internet
License:        BSD
URL:            http://thpinfo.com/2008/urlwatch/
Source0:        http://thpinfo.com/2008/%{name}/%{name}-%{version}.tar.gz
Patch0:         %{name}_add_xmpp_functionality.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  python
BuildRequires:  python-setuptools-devel

Requires:       python-xmpp


%description
This script is intended to help you watch URLs and get notified (via
email or in your terminal) of any changes. The change notification
will include the URL that has changed and a unified diff of what has
changed.

The script supports the use of a filtering hook function to strip
trivially-varying elements of a webpage.

Basic features

* Simple configuration (text file, one URL per line)
* Easily hackable (clean Python implementation)
* Can run as a cronjob and mail changes to you
* Always outputs only plaintext - no HTML mails :)
* Supports removing noise (always-changing website parts)
* Example hooks to filter content in Python


%prep
%setup -q
%patch0 -p0 -b .xmmp


%build
%{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root=%{buildroot}
#Fix exec permission for rpmlint
chmod 0755 %{buildroot}%{python_sitelib}/%{name}/*txt.py
chmod a+x %{buildroot}%{python_sitelib}/%{name}/handler.py


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc ChangeLog COPYING README
%{_mandir}/man*/*.gz
%{_bindir}/%{name}
%{_datadir}/%{name}/examples/
%{python_sitelib}/%{name}/
%{python_sitelib}/%{name}*.egg-info


%changelog
* Sat Oct 10 2009 Fabian Affolter <fabian@bernewireless.net> - 1.9-1
- Added patch for xmpp functionality
- Updated to new upstream version 1.9

* Thu Sep 17 2009 Fabian Affolter <fabian@bernewireless.net> - 1.8-1
- Updated to new upstream version 1.8

* Sun Jan 18 2008 Fabian Affolter <fabian@bernewireless.net> - 1.7-2
- Change license from MIT to BSD

* Sun Jan 18 2008 Fabian Affolter <fabian@bernewireless.net> - 1.7-1
- Initial package for Fedora
